Hello,
A client sent me a .dwg and some of the blocks don't have names, just "codes" (e.g. *524) and I can't edit, rename or explode them.
I saved all those blocks in the attached .dwg.
Thank you so much in advance
They are anonymous blocks:
*U### = anonymous blocks
*E### = anonymous non-uniformly scaled blocks
*X### = anonymous hatches
*D### = anonymous dimensions
*A### = anonymous groups
Please rename them with the following lisp routine (see attached fixed result):
(defun C:RenABlock ()
(prompt "\nSelect anonymous block:")
(setq old_name (cdr (assoc 2 (entget (car (entsel))))))
(setq new_name (strcat "New block-" (substr old_name 2)))
(vla-put-Name
(vla-item
(vla-get-Blocks
(vla-get-ActiveDocument
(vlax-get-acad-object)
)
)
old_name)
new_name)
)
Hi,
@vicentegoncalves schrieb:
t have names, just "codes" (e.g. *524)
Sorry the names are *Ennn - just as a hint to described in as much detail is possible
and I can't edit, rename or explode them.
Normal for *Ennn blockreferences, as you can read in your help: EXPLODE (COMMAND)
Never saw such stupid blocks. The toilet for example is build with Wipeouts ONLY,
wipeout frames can plot, otherwise you wouldn't seen anything in this case, but for me it is a very unusual way to draw.
Wipeoutframes in MY files are always OFF.
I would prefer to redraw all the blocks.
The RenAnoBlock tool above can rename the block, so you can EDIT the blocks,
but they still ununiformly with a content you can't explode.
>>>
: The problem is "ununiformly scaled" blockreferences,
i checked the XYZ-scalefactor and they are all near to the same, near to , but not the same.
Factor 0.01 vs. factor 0.0100301
Measure of the couch ~ 5m with 0.01, means with factor 0.0100301 it scaled up to ~5.01⁵
It's just a difference of 1.5cm for the largest block, so i think it is okay to change all factors to 0.01,
1,5cm and less isn't important for these decor blocks in your file.
Select all, change all X Y and Z factor to 0.01 in your properties palette [CTRL]+[1]
(also if you see 3x 0.01 - it isn't. Set LUPREC to 8 to see the difference 😉 )
-----
Ich checked you scale factors, result list here - all 0.01 or 0.0100301..
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.01 0.0100301 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.01 0.0100301 0.0100301
0.01 0.0100301 0.0100301
0.01 0.0100301 0.0100301
0.01 0.0100301 0.0100301
0.01 0.0100301 0.0100301
0.01 0.0100301 0.0100301
0.01 0.0100301 0.0100301
0.01 0.0100301 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
0.0100301 0.01 0.0100301
Sebastian
Or just delete this drawing and start over.
What is the origin? Did it start in some other rudimentary CAD application?
Or did the original author make this on April 1st?
Can't find what you're looking for? Ask the community or share your knowledge.